<?php Header("Content-Type: text/html; charset=utf-8"); // บรรทัดนี้ใส่เพื่อให้เบราเซอร์เลือก utf-8 อัตโนมัติ

// ******** Part 0 : สิ่งที่ไม่อนุญาตให้แก้ผ่านหน้าเว็บ ********* //

// ลิสต์รายชื่อ smiley+icon เรียงตามลำดับที่จะให้แสดง
$smarray = array(1 => '!smile1', '!smile2', '!laugh1', '!laugh2', '!tounge',
'!sweat', '!confuse1', '!confuse2', '!confuse3', '!auak', '!angry1',
'!angry2', '!shock', '!brighteye', '!kiku', '!cool', '!fighto', '!headache',
'!listen', '!shutup', '!redcheek1', '!redcheek2', '!wink', '!glad1', '!glad2',
'!joob', '!bye', '!sleep1', '!sleep2', '!sleep3', '!yakusa', '!xxx1', '!xxx2',
'!cry1', '!cry2', '!cry3', '!rose', '!love', '!victory', '!hurry',
'smile1', 'smile2', 'smile3', 'smile4', 'smile5', 'laugh1', 'laugh2', 'speak1',
'confuse1', 'confuse2', 'confuse3', 'angry1', 'angry2', 'shock1', 'shock2',
'shock3', 'bigeye', 'bigeyespeak', 'brightconf', 'brighteye', 'blackeye',
'cool', 'blindfold', 'zipmouth', 'evil', 'fresh', 'headache', 'listen', 'neutral',
'redcheek',  'shutup', 'wink', 'sleep', 'thumb1', 'thumb2', 'alien');

$icarray = array(1 => 'arrow', 'exclaim', 'question', 'idea');

$hnarray = array(1 => 'good', 'bad');

$txarray = array(1 => 'b', 'i', 'u', 'center', 'a', 'del', 'sup', 'sub', 'tablet', 'tablew');

$mtarray = array(1 => '$', '$$', 'geq', 'leq', 'approx', 'pm', 'cdot', 'times', 'div', 'neq',
'vee', 'wedge', 'to', 'leftrightarrow', 'equiv', 'cup', 'cap', 'in', 'subset', 'sim',
'forall', 'exists', 'emptyset', 'mathcal{U}', 'mathbb{R}', 'alpha', 'beta', 'mu', 'sigma', 'pi',
'triangle', 'perp', 'angle', 'theta', 'infty', 'therefore', 'frac{}{}', '^{}', '_{}', 'sqrt[]{}',
'bar{}', 'vec{}', 'not', 'sum{}', 'int{}');

// HTML tag ที่อนุญาตให้แสดงผลได้ ในเนื้อหากระทู้
$allowtag_op = 'div,span,table,tr,td,th,center,p,br,a,font,small,big,strong,b,i,u,del,sup,sub,img,hr,textarea,iframe,player,code,input';

// HTML tag ที่อนุญาตให้เซฟติดมาได้
$allowtag_tp = ''; // ที่หัวข้อกระทู้
$allowtag_us = ''; // ที่ชื่อผู้โพสต์

// เพิ่มแบนเนอร์ลงในทุกหน้า (ถ้าไม่ใช้ ให้ปล่อยเป็นตัวแปรว่างๆ)
$banner = "";

// ขนาดไฟล์ที่อนุญาตให้ส่งได้ (หน่วยเป็น KB)
$piclimit = 1024;

// เวลาที่จะเขียนลงในกระทู้ บวกไปจาก server เท่าใด
// $thshift คือบวกกี่ชั่วโมง, $tmshift คือบวกกี่นาที
$thshift = 0;
$tmshift = 0;

// สำหรับ RSS Feed (ไม่ต้องลงท้ายด้วยเครื่องหมายทับ เดี๋ยวจะเติมเองทีหลัง)
// ผลเช่น $weburl = "http://math.kanuay.com" หรือ "https://kanuay.com" หรือ "http://localhost/@math"
$fullweburl = (isset($_SERVER['HTTPS']) ? "https" : "http") . "://$_SERVER[HTTP_HOST]" . $_SERVER[REQUEST_URI]; // full external url
$mainweburl = substr($fullweburl, 0, strrpos($fullweburl, "/"));    // ตัดชื่อไฟล์ทิ้งไป (ตั้งแต่เครื่องหมายทับครั้งสุดท้าย)

// สำหรับการดึงข้อมูล FB Like (og:url ในไฟล์ head.inc) และ FB ment (ใน wbshow.php) จาก URL เก่า
// (เพราะเว็บ kanuay มีการย่อ friendly URL)
$fbcanonfilename = substr(getenv('SCRIPT_NAME'), strrpos(getenv('SCRIPT_NAME'), "/"));   // ตัดมาเฉพาะชื่อไฟล์ตั้งแต่เครื่องหมายทับครั้งสุดท้าย จำเป็นสำหรับ localhost ที่มีชื่อโฟลเดอร์
$fbcanonurl = "http://kanuay.kanuay.com" . $fbcanonfilename;
if (getenv('QUERY_STRING') != "") { $fbcanonurl = $fbcanonurl."?".getenv('QUERY_STRING'); }

// เอาไว้ในนี้เพื่อให้ใช้กับ wbrss ได้ด้วย (ไม่งั้นเอาไว้ใน the-head ก็ได้)
function padnum ($input) { return str_pad($input, 4, "0", STR_PAD_LEFT); }

// บรรทัดต่อไปนี้ (เครื่องหมายเท่ากับยาวๆ) ห้ามลบ!!
// เพราะคั่นเพื่อแสดงให้ไฟล์ wbadmin รู้ว่า.. Part ต่อจากนี้ให้แก้ไขผ่านหน้าเว็บได้

//===================================================//
// ******** Part 1 : สิทธิ์ของผู้ใช้ระดับต่างๆ ********* //

// ใช้สคริปต์ MathJax เพื่อแสดงสมการไหม?..
// (0=ไม่ใช้, 1=ใช้)
$PM_math = "0";

// ปรับแต่ง MathJaX (ถ้าไม่ใช้ ปล่อยเป็นตัวแปรว่างไว้ก็ได้)
$PM_mathurl = "";
$PM_mathconfig = "";

// สิทธิ์การโพสต์ของบุคคลทั่วไป.. จะแบ่งตามระดับของ admin
// 1. ระดับ king = admin เท่านั้นที่ตั้งกระทู้ได้ และแก้ไขข้อความได้
// ส่วนคนทั่วไปจะได้เพียงใส่ความคิดเห็นอย่างเดียว -- เช่น diary
// 2. ระดับ queen = คนทั่วไปตั้งกระทู้ได้ แต่มีเพียง admin ที่แก้ไขได้
// 3. ระดับ people = คนทั่วไปตั้งกระทู้ได้ และแก้ไขได้ เท่าเทียมกัน -- math, myr
$PM_adminlevel = "king";

// รหัสสำหรับผู้ใช้ทั่วไป เพื่อยืนยันว่าไม่ใช่ spam
$PM_pw_speak = " \"เลขหนึ่งสี่ตัว\" ";
$PM_pw_value = "1111";


// ******** Part 2 : ทั่วไป ********* //

// ชื่อบอร์ด ใช้ใน Title Bar, ไฟล์แบ๊คอัพ และอื่นๆ
$board1 = "kanuay";
$board2 = "นี่ไม่ใช่ไดอะรี่";
$boardhead1 = "รายการทั้งหมด<br><a href=board-update>&rsaquo;&rsaquo;แสดงรายการที่มีอัพเดท&lsaquo;&lsaquo;</a>";
$boardhead2 = "รายการที่มีอัพเดท<br><a href=board>&rsaquo;&rsaquo;แสดงรายการทั้งหมด&lsaquo;&lsaquo;</a>";

// หน้าแรกจะให้แสดงผลในรูปแบบใด (board หรือ blog)
$indexpage = "board";

// ไฟล์ (txt เท่านั้น) ที่ต้องการให้เพิ่มลงในแบ๊คอัพด้วย
// เขียนชื่อไฟล์ (ไม่ต้องใส่สกุล) คั่นด้วยลูกน้ำ เช่น "aaaa, data/bbbb"
$addtozip = "";

// หน้าสารบัญ จะแสดง 2 บรรทัด หรือบรรทัดเดียวแบบเก่า
// (0 = 2บรรทัด, อื่นๆ=บรรทัดเดียว)
$listoldstyle = "1";

// หัวกระทู้ จะให้แสดงหมายเลขกระทู้ขึ้นต้นด้วยหรือไม่
// (0=ไม่แสดง, อื่นๆ=แสดง)
$numtpshow = "0";

// หัวกระทู้ จะให้แสดงปุ่ม facebook like/recommend หรือไม่
// (0=ไม่แสดง, อื่นๆ=แสดง)
// คำพูดบนปุ่มเลือกได้สองแบบคือ like หรือ recommend
$fblikeshow = "1";
$fbaction = "like";

// ล่างกระทู้ จะแสดงคอมเม้นต์จาก facebook ตั้งแต่กระทู้เท่าไร
// (ถ้าไม่อยากแสดง ให้ใส่เลขเยอะๆ เช่น 10000)
// และจะแสดงคอมเม้นต์ FB เป็นค่าเริ่มต้นหรือไม่ (0 = ไม่, อื่นๆ = ใช่)
$fbmentmin = "10000";
$fbmentdefault = "0";

// แถบบนกว้างช่องละเท่าใด และตบขึ้นบรรทัดใหม่หรือไม่
// (0=ไม่, อื่นๆ=ใช่)
$wbnavtdwidth = "268";
$wbnavnewline = "0";

// ลิสต์ index ..แสดงหน้าละกี่กระทู้
$tela = 45; $blogtela = 8;

// ลิสต์ใน RSS Feed แสดงกี่กระทู้ (ไม่ควรยาวเกิน 20)
$rsstela = 15; $rssblogtela = 8;

// ในหน้า index จะตัดชื่อกระทู้ที่ยาวเกิน $tplmax อักษร
// ให้เหลือแค่ $tplshow อักษร แล้วเติมจุดจุดต่อท้าย
$tplmax = 40;
$tplshow = 34;

// ในลิสต์ปักหมุด จะตัดชื่อกระทู้ที่ยาวเกิน $tplmax2 อักษร
// ให้เหลือแค่ $tplshow2 อักษร แล้วเติมจุดจุดต่อท้าย
$tplmax2 = 50;
$tplshow2 = 40;

// ในหน้า wbshow ซ้าย-ขวา จะตัดชื่อกระทู้ที่ยาวเกินนี้
$tplmaxshow = 35;

// ในกระทู้แนะนำที่แถบขวา จะตัดชื่อกระทู้ที่ยาวเกินนี้
$tplmaxbar = 25;

//ในหน้า blog จะแสดงข้อความทั้งหมดกี่ตัวอักษร
//$blmax = 400;

// ใน RSS Feed จะตัดชื่อกระทู้ที่ยาวเกิน $rlmax อักษร
// ให้เหลือแค่ $rlshow อักษร แล้วเติมจุดจุดต่อท้าย
$rlmax = 30;
$rlshow = 25;

// จะตัดเนื้อความขึ้นต้นมาเป็น description กี่ตัวอักษร
$descmax = 250; // ในหน้า wbshow เพื่อแสดงผลใน search engine และ social share
$rldescmax = 599; // ใน RSS Feed (*firefox live bookmark ลิมิตไว้ที่ไม่เกิน 600 อักษร)

// จะตัดเนื้อความขึ้นต้นมาเป็น description กี่ตัวอักษร
$descmax = 250; // ในหน้า wbshow เพื่อแสดงผลใน search engine และ social share
$rldescmax = 599; // ใน RSS Feed (*firefox live bookmark ลิมิตไว้ที่ไม่เกิน 600 อักษร)

// ในหน้า wbshow จะลดขนาดรูปที่กว้างเกิน $imwdmax จุด
// ให้เหลือเพียง $imwdshow จุด แล้วทำลิงก์ให้ไปดูรูปเต็ม
$imwdmax = 520;
$imwdshow = 450;

//หลังจากการโพสต์ข้อความแล้วจะให้แสดงผลภายในกี่วินาที
$lagtime = 1;

// เครื่องหมายที่ใช้แทน tag html.. ควรใช้เป็น { }
$tagsign1 = "{";
$tagsign2 = "}";

// แสดงรายการ smiley และ tag ในตาราง.. แถวละกี่ตัว
$smwidth = 20;
if ($PM_math != "1") { $tgwidth = 4; } else { $tgwidth = 5; }

// แสดงตาราง smiley และ tag ทันทีที่เปิดอ่านกระทู้หรือไม่
// (0 = ไม่แสดง, อื่นๆ = แสดง)
$sminit = "0";
$tginit = "1";

// ตีเส้นกรอบล้อมรอบข้อความหรือไม่.. (0 = ไม่, อื่นๆ = ใช่)
$tbbd_topic = 1;
$tbbd_comment = 1;

//ลิงก์สำหรับแท็ก player
$tagplayer1 = "<audio preload=metadata style=\"padding: 5px 0; width: 300px; height: 32px\" controls><source src=";
$tagplayer2 = " type=audio/mpeg>(ขออภัย เบราเซอร์ของคุณไม่มี audio player)</audio>";


// ******** Part 3 : คำพูด ********* //

// คำที่ด้านบนของแต่ละหน้า
$hword1 = "<b>RSS Feed #1 &rArr;</b>";
$hword1blog = "";
$hword2 = "<b>RSS Feed #2 &rArr;</b>";
$hword3a = "ตอนที่ "; $hword3b = " จาก ";
$hword4 = "";
$hword5 = "อัพโหลดรูป/ไฟล์<br><br>";
$hword6 = "แก้ไขข้อความ<br><br>";

if ($PM_adminlevel != "people")
{ $hword6 = "แก้ไขข้อความ (admin เท่านั้น)<br>"; }

$hword7 = "ตั้งรหัสส่วนตัว<br><br>";
$hword8 = "อ้างอิงข้อความ<br><br>";
$hword9 = "เพิ่มหัวข้อใหม่<br><br>";
$hword10 = "ผลการค้นหาคำว่า ";
$hword11 = "ระบบ admin<br><br>";

// คำที่ปุ่มกดต่างๆ และคำสั้นๆ
$bword1 = "เพิ่มหัวข้อใหม่";
$bword2 = "อัพโหลดรูป/ไฟล์";
$bword3 = "ค้นหา";
$bword4 = "เริ่มค้น!";
$bword5a = "(แสดงหน้าละ ";
$bword5b = " ตอน)";
$bword6 = "ไปที่หน้า ";
$bword6blog = "หน้า ";
$bword7 = " ครั้ง";
$bword8 = "ที่มีการโหลดหน้านี้";
$bword9 = "แสดงผล";
$bword10 = "กลับไปหน้าแรก";
$bword11 = "ส่งข้อความ";
$bword12 = "ลบพิมพ์ใหม่";
$bword13 = "ความเห็น :"; $bword13sp = "ข้อความ :";
$bword14 = "จาก :";
$bword14a = "(แท็ก) :";
$bword15 = " : รหัส";
$bword16 = "หัวข้อ :";
$bword17 = "(อีเมล/เว็บไซต์) :";
$bword18 = "ขอเริ่มใหม่..";
$bword19 = "รายละเอียด* :";
$bword20 = "จัดการแก้ไข";
$bword21 = "ส่งโลด!";
$bword22 = "(ปักหมุด)";
$bword23 = "แสดงทั้งหมด";
$bword24 = "แสดงล่าสุด";
$noreply = "ตอบ 0 / ";

// คำพูดยาวๆ
$lword1 = "ได้รับข้อความทั้งหมดแล้วครับ<br>(ระบบจะทำการแสดงผลอัตโนมัติ ภายใน $lagtime วินาที)";
$lword2 = "สามารถใส่ html tag โดยใช้เครื่องหมาย $tagsign1 $tagsign2 แทน < >";
$lword3 = "หน้านี้ \"ปิด\" รับข้อความแล้วครับ! ..หากท่านต้องการเพิ่มความคิดเห็น กรุณาติดต่อผู้ดูแลเว็บ";
$lword4 = "ถ้าไม่มีรหัสประจำตัว กรุณาใส่".$PM_pw_speak."ด้วยครับ";

// คำพูดใน RSS Feed
$rword1 = "--- ดูหัวข้อทั้งหมด (หน้าแรกของไดอะรี่) ---";
$rword1blog = "--- ดูหัวข้อทั้งหมด (หน้าแรกของบล๊อก) ---";
$rword2 = "--- ดูหัวข้อที่มีการ เขียน/ตอบ ล่าสุด ---";



// ******** Part 4 : ประกาศ และปักหมุด ********* //

// เนื้อความที่จะประกาศไว้ในหน้าแรก
// แทรกโค้ด html ได้, และจะต้องลงท้ายด้วย <br> ทุกบรรทัด
// (ถ้าไม่ใช้ ให้ใส่ // นำหน้าทุกๆ บรรทัด เพื่อตัดตัวแปร $announce ทิ้งไป)
// $announce = "";

// หมายเลขกระทู้ที่จะปักหมุดในหน้าแรก (เรียงตามลำดับที่ต้องการ)
// (ถ้าไม่ใช้ ให้ใส่ // นำหน้าบรรทัด เพื่อตัดตัวแปร $pinarray นี้ทิ้งไป)
// $pinarray = array(1 => '0072', '0050');

// หมายเลขกระทู้ที่จะปิดรับ comment
// (ถ้าไม่ใช้ ให้ปล่อยเป็น 0 ไว้เฉยๆ แต่อย่าเอาตัวแปรออก.. เพราะจะทำให้ error)
$closetp_array = array(1 => '0');

// หมายเลขกระทู้แนะนำในแถบขวา (เรียงตามลำดับที่ต้องการ)
// (ถ้าไม่ใช้ ให้ใส่ // นำหน้าบรรทัด เพื่อตัดตัวแปร $sugarray นี้ทิ้งไป)
// $sugarray = array(1 => '0072');

?>